Gdk::Cursor Class Reference

This represents a cursor. More...

## Public Member Functions

| Cursor ()
| Cursor (GdkCursor* gobject, bool make_a_copy=true)
| Cursor (const Cursor& other)
Cursor& | operator= (const Cursor& other)
| Cursor (Cursor&& other) noexcept
Cursor& | operator= (Cursor&& other) noexcept
| ~Cursor () noexcept
void | swap (Cursor& other) noexcept
GdkCursor* | gobj ()
| Provides access to the underlying C instance. More...
const GdkCursor* | gobj () const
| Provides access to the underlying C instance. More...
GdkCursor* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs. More...
| Cursor (CursorType cursor_type)
| Cursor (const Glib::RefPtr< Pixmap >& source, const Glib::RefPtr< Pixmap >& mask, const Color& fg, const Color& bg, int x, int y)
| Cursor (const Glib::RefPtr< Display >& display, CursorType cursor_type)
| Cursor (const Glib::RefPtr< Display >& display, const Glib::RefPtr< Pixbuf >& pixbuf, int x, int y)
| Cursor (const Glib::RefPtr< Display >& display, const Glib::ustring& name)
Glib::RefPtr< Display > | get_display ()
| Returns the display on which the Gdk::Cursor is defined. More...
Glib::RefPtr< const Display > | get_display () const
| Returns the display on which the Gdk::Cursor is defined. More...
Glib::RefPtr< Gdk::Pixbuf > | get_image ()
| Returns a Gdk::Pixbuf with the image used to display the cursor. More...
Glib::RefPtr< const Gdk::Pixbuf > | get_image () const
| Returns a Gdk::Pixbuf with the image used to display the cursor. More...
CursorType | get_cursor_type () const
| Returns the cursor type for this cursor. More...

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Attributes

GdkCursor* | gobject_

## Related Functions

(Note that these are not member functions.)
void | swap (Cursor& lhs, Cursor& rhs) noexcept
Gdk::Cursor | wrap (GdkCursor* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

This represents a cursor.

## Constructor & Destructor Documentation

Gdk::Cursor::Cursor | ( |  | ) |

Gdk::Cursor::Cursor | ( | GdkCursor * | gobject,
|  | bool | make_a_copy = `true`
| ) |  |

explicit

Gdk::Cursor::Cursor | ( | const Cursor& | other | ) |

Gdk::Cursor::Cursor | ( | Cursor&& | other | ) |

noexcept

Gdk::Cursor::~Cursor | ( |  | ) |

noexcept

Gdk::Cursor::Cursor | ( | CursorType | cursor_type | ) |

explicit

Gdk::Cursor::Cursor | ( | const Glib::RefPtr< Pixmap >& | source,
|  | const Glib::RefPtr< Pixmap >& | mask,
|  | const Color& | fg,
|  | const Color& | bg,
|  | int | x,
|  | int | y
| ) |  |

Gdk::Cursor::Cursor | ( | const Glib::RefPtr< Display >& | display,
|  | CursorType | cursor_type
| ) |  |

explicit

Gdk::Cursor::Cursor | ( | const Glib::RefPtr< Display >& | display,
|  | const Glib::RefPtr< Pixbuf >& | pixbuf,
|  | int | x,
|  | int | y
| ) |  |

Gdk::Cursor::Cursor | ( | const Glib::RefPtr< Display >& | display,
|  | const Glib::ustring & | name
| ) |  |

explicit

## Member Function Documentation

CursorType Gdk::Cursor::get_cursor_type | ( |  | ) | const

Returns the cursor type for this cursor.

Since gtkmm 2.22:

Returns
  A Gdk::CursorType.

Glib::RefPtr<Display> Gdk::Cursor::get_display | ( |  | ) |

Returns the display on which the Gdk::Cursor is defined.

Since gtkmm 2.2:

Returns
  The Gdk::Display associated to cursor.

Glib::RefPtr<const Display> Gdk::Cursor::get_display | ( |  | ) | const

Returns the display on which the Gdk::Cursor is defined.

Since gtkmm 2.2:

Returns
  The Gdk::Display associated to cursor.

Glib::RefPtr<Gdk::Pixbuf> Gdk::Cursor::get_image | ( |  | ) |

Returns a Gdk::Pixbuf with the image used to display the cursor.

Note that depending on the capabilities of the windowing system and on the cursor, GDK may not be able to obtain the image data. In this case, `nullptr` is returned.

Since gtkmm 2.8:

Returns
  A Gdk::Pixbuf representing cursor, or `nullptr`.

Glib::RefPtr<const Gdk::Pixbuf> Gdk::Cursor::get_image | ( |  | ) | const

Returns a Gdk::Pixbuf with the image used to display the cursor.

Note that depending on the capabilities of the windowing system and on the cursor, GDK may not be able to obtain the image data. In this case, `nullptr` is returned.

Since gtkmm 2.8:

Returns
  A Gdk::Pixbuf representing cursor, or `nullptr`.

static GType Gdk::Cursor::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

GdkCursor* Gdk::Cursor::gobj | ( |  | ) |

inline

Provides access to the underlying C instance.

const GdkCursor* Gdk::Cursor::gobj | ( |  | ) | const

inline

Provides access to the underlying C instance.

GdkCursor* Gdk::Cursor::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

Cursor& Gdk::Cursor::operator= | ( | const Cursor& | other | ) |

Cursor& Gdk::Cursor::operator= | ( | Cursor&& | other | ) |

noexcept

void Gdk::Cursor::swap | ( | Cursor& | other | ) |

noexcept

## Friends And Related Function Documentation

void swap | ( | Cursor& | lhs,
|  | Cursor& | rhs
| ) |  |

related

Parameters

  lhs | The left-hand side
  rhs | The right-hand side

Gdk::Cursor wrap | ( | GdkCursor * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

GdkCursor* Gdk::Cursor::gobject_

protected

The documentation for this class was generated from the following file:

- gdkmm/cursor.h